import { UmbLitElement } from '../../lit-element/index.js';
/**
 * @element umb-icon
 * @description A wrapper for the uui-icon component with color alias support
 * @augments {UmbLitElement}
 */
export declare class UmbIconElement extends UmbLitElement {
    #private;
    private _icon?;
    private _style;
    /**
     * Color alias or a color code directly.
     * If a color has been set via the name property, this property will override it.
     * Example **color-pink**
     */
    set color(value: string);
    get color(): string | undefined;
    /**
     * The icon name. Can be appended with a color.
     * Example **icon-heart color-red**
     */
    set name(value: string | undefined);
    get name(): string | undefined;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-icon': UmbIconElement;
    }
}
